<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-01-02T16:17:20Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-10-03T15:54:14Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Verified using datapro 4.0.1038.49397,4.1.400.49386 and 4.2.97.49401.

Steps to test..
1.Create new test setup using Tsr Air and ran test armed and triggered and collected data. navigated to view data on the run test tab  But did not click the sub menu to generate psd report. 
2. Opened the View data tab  and selected generate  Reports , selected a channel and verified display was updated with report and not blank in datapro . </Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-10-03T15:53:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-09-21T07:16:16Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-08-29T21:43:40Z</TimeStamp>
    <ReleaseNote>Addresses an issue where PSD report was sometimes not available</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2023-08-29T20:47:00Z</TimeStamp>
    <ReleaseNote>Adds an issue where PSD report was sometimes not available</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-29T20:46:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment>Changes
 
 
Create PSD as a singleton like Viewer, adding missing infrastructure
 
Refine Session creators to allow for multiple bootstraps
 
Separate VM resolvers.
 
Fix to use FFTSharp for v4.0
 
 
Testing
 
 
Do steps 1-3 in this earlier note (ignoring the new "Generate PSD Reports" sub step). Page should fill fine now when you go to View Tab -&gt; Generate PSD Reports.
 
 
Committed to v4.0 maint, v4.1 maint, and v4.2 dev in r49384.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2023-08-16T00:03:20Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-15T17:44:38Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-08-04T23:44:03Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-08-01T17:30:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment>Found an order-of-operations to recreate the issue in both v4.0 maint and v4.2 dev. "Initial Install" and "Using TSRAIRUser" are red herrings, was able to recreate issue well after installation, also with Admin, and was able to see PSD/Generate Reports following other o-o-ops. To recreate:
 
 
Create a TSRAIR Active test. Make sure a "View [x]" (either All or ROI) option is chosen.
 
Run Test. Make sure to enter the View navstep
 
After test, go to View Data tab and click "Generate Reports". Page will be blank until you restart DataPRO no matter what you do.
 
Restart DataPRO, go immediately to View Data tab and click "Generate Reports". Page will be filled as normal.
 
Restart DataPRO, repeat steps 2-3 except skip the "View [x]" navstep. Page will be filled as normal.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-31T19:49:51Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-31T17:50:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-07-19T01:03:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-18T18:33:40Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-05T22:40:59Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-07-05T17:22:37Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-28T15:04:33Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-20T16:09:44Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment>Marking 'On Hold' during trade show and then will get more info after</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-06-10T00:06:01Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>John Dowling</User>
    <Comment>Hi Dan
  
 So I grabbed 949 ... as I don't want to nuke versions I have all set up for next week.
  
  
 
  
 Log in as TSRAIRUser ...
  
 
  
 quickbuild...
  
 
  
  
 Build test set up ..
  
 
  
 Active test
  
 
  
 armed 
  
 
  
 triggered 
  
 
  
 download ROI and download ALL
  
 
  
 view tab
  
 
  
 well I never ...
  
 
  
 hmmmmm.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-06-10T00:05:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-06-09T14:18:40Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>moving as these are not expected to be worked on in the 4.1 development cycle</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-04T15:22:53Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>note, I was not able to duplicate when doing a brand new 4.0.902 install with an existing dataset already around;</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-28T18:27:21Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-03-28T18:18:53Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2023-03-28T18:17:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>see attached, report is on initial install TSR AIR user does not have access to PSD (until Admin logs in, and then it's always available).</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2023-03-28T18:17:39Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>